SeExpr

Public Member Functions | Public Attributes | List of all members
ExprSpecListNode Struct Reference

`#include <ExprSpecType.h>`

Inheritance diagram for ExprSpecListNode:

## Public Member Functions
| ExprSpecListNode (int startPos, int endPos)
void | add (ExprSpecNode *node)
Public Member Functions inherited from ExprSpecNode
| ExprSpecNode (int startPos, int endPos)
virtual | ~ExprSpecNode ()

## Public Attributes
std::vector< ExprSpecNode * > | nodes
Public Attributes inherited from ExprSpecNode
int | startPos
int | endPos

## Detailed Description

Definition at line 51 of file ExprSpecType.h.

## Constructor & Destructor Documentation

## ◆ ExprSpecListNode()

ExprSpecListNode::ExprSpecListNode | ( | int | startPos,
|  | int | endPos
| ) |  |
| inline

Definition at line 53 of file ExprSpecType.h.

## Member Function Documentation

## ◆ add()

void ExprSpecListNode::add | ( | ExprSpecNode * | node | ) |
| inline

Definition at line 55 of file ExprSpecType.h.

References ExprSpecNode::endPos, SeExpr2::max(), SeExpr2::min(), nodes, and ExprSpecNode::startPos.

## Member Data Documentation

## ◆ nodes

std::vector<ExprSpecNode*> ExprSpecListNode::nodes

Definition at line 52 of file ExprSpecType.h.

Referenced by add().

The documentation for this struct was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprSpecType.h